Множественные уязвимости в CuteFlow

Дата публикации:
14.08.2012
Дата изменения:
14.08.2012
Всего просмотров:
762
Опасность:
Высокая
Наличие исправления:
Нет
Количество уязвимостей:
4
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:U/RC:C) = Base:4.3/Temporal:3.7
(AV:N/AC:L/Au:N/C:P/I:P/A:N/E:U/RL:U/RC:C) = Base:6.4/Temporal:5.4
(AV:N/AC:L/Au:N/C:P/I:P/A:P/E:U/RL:U/RC:C) = Base:7.5/Temporal:6.4
(AV:N/AC:L/Au:N/C:C/I:C/A:C/E:U/RL:U/RC:C) = Base:10/Temporal:8.5
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Межсайтовый скриптинг
Неавторизованное изменение данных
Обход ограничений безопасности
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
CuteFlow 2.x
Уязвимые версии: CuteFlow 2.11.2, возможно другие версии

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю выполнить произвольный код на целевой системе.

1. Уязвимость существует из-за недостаточной обработки входных данных в множественных параметрах в множественных сценариях. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольный код сценария в браузере жертвы в контексте безопасности уязвимого сайта.

Перечень уязвимых сценариев и параметров:
List of affected scripts and parameters:
http://[host]/pages/editcirculation.php?sortby
http://[host]/pages/editcirculation.php?language
http://[host]/pages/editfield.php?fieldid
http://[host]/pages/editfield.php?language
http://[host]/pages/editfield.php?start
http://[host]/pages/editmailinglist_default.php?language
http://[host]/pages/editmailinglist_default.php?start
http://[host]/pages/editmailinglist_step1.php?listid
http://[host]/pages/editmailinglist_step1.php?start
http://[host]/pages/editslot.php?language
http://[host]/pages/editslot.php?slotid
http://[host]/pages/editslot.php?start
http://[host]/pages/editslot.php?templateid
http://[host]/pages/edittemplate_step1.php?language
http://[host]/pages/edittemplate_step1.php?start
http://[host]/pages/edittemplate_step1.php?templateid
http://[host]/pages/showmaillist.php?language
http://[host]/pages/showmaillist.php?sortby
http://[host]/pages/showmaillist.php?start
http://[host]/pages/showtemplates.php?sortby
http://[host]/pages/showtemplates.php?start
http://[host]/pages/showuser.php?sortby
http://[host]/pages/showuser.php?start

2. Уязвимость существует из-за недостаточной обработки входных данных в множественных параметрах в множественных сценариях.. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения.

Перечень уязвимых сценариев и параметров:
http://[host]/pages/editslot.php?slotid
http://[host]/pages/edittemplate_step2.php?templateid
http://[host]/pages/editmailinglist_step2.php?templateid

3. Уязвимость существует из-за недостаточного ограничения доступа к сценарию pages/writeuser.php. Удаленный пользователь может добавить пользователя с административными привилегиями.

4. Уязвимость существует из-за того, что сценарии pages/restart_circulation_values_write.php, pages/editcirculation_write.php, и pages/restart_circulation_write.php позволяют удаленному пользователю загружать в корневой каталог произвольные файлы с произвольными расширениями. Удаленный пользователь может выполнить произвольный PHP код на целевой системе.

URL производителя: http://cuteflow.org/

Решение: Способов устранения уязвимости не существует в настоящее время.

Ссылки: http://itsecuritysolutions.org/2012-07-01-CuteFlow-2.11.2-multiple-security-vulnerabilities/

или введите имя

CAPTCHA